curl --request PATCH \
--url https://registry.{region}.basaltic.sh/v1/repositories/{repository_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deletion_protection": true,
"tags": {}
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}"
payload = {
"deletion_protection": True,
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deletion_protection: true, tags: {}})
};
fetch('https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'deletion_protection' => true,
'tags' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}"
payload := strings.NewReader("{\n \"deletion_protection\": true,\n \"tags\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deletion_protection\": true,\n \"tags\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deletion_protection\": true,\n \"tags\": {}\n}"
response = http.request(request)
puts response.read_body{
"repository": {
"id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"crn": "crn:registry:sa-saopaulo-1:my-account:repository/team/api",
"name": "team/api",
"uri": "cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api",
"tag_mutability": "mutable",
"deletion_protection": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": {
"env": "prod",
"team": "platform"
},
"stats": {
"image_count": 42,
"tag_count": 17,
"size_bytes": 1073741824,
"last_pushed_at": "2023-11-07T05:31:56Z"
}
},
"push_commands": [
"basaltic registry get-login-password --region sa-saopaulo-1 | docker login --username basaltic --password-stdin cr.sa-saopaulo-1.basaltic.cloud",
"docker build -t cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest .",
"docker push cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest"
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Actualizar configuración del repositorio
El nombre es inmutable; los demás campos pueden cambiar. tag_mutability puede modificarse en cualquier dirección y afecta solo a cambios futuros. Cambiar únicamente tags requiere registry:TagResource, no registry:UpdateRepository, manteniendo separados los permisos de clasificación y configuración.
curl --request PATCH \
--url https://registry.{region}.basaltic.sh/v1/repositories/{repository_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deletion_protection": true,
"tags": {}
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}"
payload = {
"deletion_protection": True,
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deletion_protection: true, tags: {}})
};
fetch('https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'deletion_protection' => true,
'tags' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}"
payload := strings.NewReader("{\n \"deletion_protection\": true,\n \"tags\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deletion_protection\": true,\n \"tags\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deletion_protection\": true,\n \"tags\": {}\n}"
response = http.request(request)
puts response.read_body{
"repository": {
"id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"crn": "crn:registry:sa-saopaulo-1:my-account:repository/team/api",
"name": "team/api",
"uri": "cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api",
"tag_mutability": "mutable",
"deletion_protection": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": {
"env": "prod",
"team": "platform"
},
"stats": {
"image_count": 42,
"tag_count": 17,
"size_bytes": 1073741824,
"last_pushed_at": "2023-11-07T05:31:56Z"
}
},
"push_commands": [
"basaltic registry get-login-password --region sa-saopaulo-1 | docker login --username basaltic --password-stdin cr.sa-saopaulo-1.basaltic.cloud",
"docker build -t cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest .",
"docker push cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest"
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}registry:UpdateRepository.
Requests containing non-null tags with neither tag_mutability nor
deletion_protection set require registry:TagResource instead of
registry:UpdateRepository. Other updates require registry:UpdateRepository.
Consulte REGISTRY permisos for policy examples.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
"a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d"
Cuerpo
Respuesta
Repositorio actualizado.
Show child attributes
Show child attributes
Secuencia de login, build y push generada por el servidor a partir del usuario, endpoint y posición de la cuenta en la referencia.
[
"basaltic registry get-login-password --region sa-saopaulo-1 | docker login --username basaltic --password-stdin cr.sa-saopaulo-1.basaltic.cloud",
"docker build -t cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest .",
"docker push cr.sa-saopaulo-1.basaltic.cloud/my-account/team/api:latest"
]

